using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MindFusion.Reporting.Wpf.Samples.CS.Barcodes
{
	public class EventData
	{
		public EventData()
		{
			items = new List<EventInfo>();

			EventInfo info;

			for (int i = 0; i < 10; i++)
			{
				info = new EventInfo()
				{
					Name = "New Year's Concert",
					Barcode = "123456789012",
					Date = new DateTime(DateTime.Today.Year, 12, 31).AddHours(18),
					Discount = 10,
					Location = "Balcony",
					Address = "Symphony Hall",
					Price = 30,
				};
				items.Add(info);
			}
		}


		public EventInfo[] Items
		{
			get { return items.ToArray(); }
		}


		private List<EventInfo> items;
	}
}
